N_ICONS(1)

NAME
n_icons - sphericon like polyhedra

SYNOPSIS
n_icons [options]

DESCRIPTION
Creates Sphericon like Polyhedra. Also known as Streptohedra

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-n <n/d>
    n-icon of order n. n must be 3 or greater (default: 4)

    use d to make star n-icon. d less than n

-t <twst> number of twists. Can be negative, positive or 0 (default: 1)

-s  side-cut of even order n-icon (default is point-cut)

-H  hybrid of even order n-icon

    -a -c and m2 have no effect with hybrids

-M <m,m2> longitudes of model of m sides with optional m2 of m sides showing

    m may be odd, 3 or greater if twist is 0 (default: 36,36)

-x <elms> t and b to exclude top and/or bottom polygons if they exist

    v, e and f to remove OFF faces with one vertex (vertices), two-vertices (edges) and three or more vertices (faces)

-A  place a north and south pole in top and bottom if they exist

    only valid if m2<m. Not valid with -c h

-c <clse> close open model if m2<m. Valid values h or v

    h = horizontal closure, v = vertical closure

-l <lim>
    minimum distance for unique vertex locations as negative exponent

    (default: 12 giving 1e-12)

-I  info on current n-icon

-o <file> write output to file (default: write to standard output)

-z <mthd> construction method

    1 - n/d must be co-prime. bow-ties can occur (default for d=1) 2 - n/d compounds allowed. shell model (default for d>1) 3 - n/d compounds allowed. No bow-ties

-r  override inner radius (-z 2)

-R  override outer radius (-z 2)

-a  angle (-z 3)

Coloring Options (run 'off_util -H color' for help on color formats)

-f <mthd> mthd is face coloring method. The coloring is done before twist

    key word: none - sets no color (default: s) lower case outputs map indexes. upper case outputs color values s - color circuits with colors using list sequentially t - color circuits with colors using circuit numbers l - color latitudinally m - color longitudinally b - checkerboard with first two colors in face color list n - use each color in succession x - first two colors based on sign of x y - first two colors based on sign of y z - first two colors based on sign of z

    note: z is also the twist plane

    o - use first eight colors per xyz octants c - color by compound

-S  color circuits symmetrically when using coloring method s or t

-T <tran> face transparency. valid range from 0 (invisible) to 255 (opaque)

-O <strg> face transparency pattern string. valid values

0 -T value suppressed, 1 -T value applied
    (default: '1')

-e <mthd> mthd is edge coloring method. The coloring is done before twist

    key word: none - sets no color (default: Q) key word: Q - defer coloring all edges to option Q

    or use the same letter options specified in -f

-U <tran> edge transparency. valid range from 0 (invisible) to 255 (opaque)

-P <strg> edge transparency pattern string. valid values

0 -U value suppressed, 1 -U value applied
    (default: '1')

-Q <col>
    color given to uncolored edges and vertices of final model

    key word: none - sets no color (default: invisible)

-Y  for n/d shells, when showing edges, show indented edges

-m <maps> color maps to be tried in turn. (default: map_red:darkorange1:

    yellow:darkgreen:cyan:blue:magenta:white:grey:black%) optionally followed by elements to map from v, e or f (default: vef)

-D <col>
    default color for uncolored elements (default: darkgrey)

-X <int>
    flood fill stop. used with circuit or compound coloring (-z 2 or 3)

    use 0 (default) to flood fill entire model. if -X is not 0 then return 1 from program if entire model has been colored

Surface Count Reporting (options above igonored)

-J <type> list n-icons with more than one surface. Valid values for type

    n = point cut even order n_icons s = side cut even order n-icons (surfaces > 2) o = odd order n_icons h = hybrids (all) i = hybrids (where N/2 is even) j = hybrids (where N/2 is odd) k = hybrids (where N/4 is even) l = hybrids (where N/4 is odd)

-K <k,k2> range of n-icons to list for multiple surfaces

-L  long form report

-Z  filter out case 2 types

SEE ALSO
The full documentation for n_icons is maintained as a Texinfo manual. If the info and n_icons programs are properly installed at your site, the command

    info n_icons

should give you access to the complete manual.